package re.jimmitry.apps974.furious;
import re.jimmitry.apps974.furious.*;
import re.jimmitry.apps974.fursys.*;
import re.jimmitry.apps974.wsfurious.*;
import re.jimmitry.apps974.wsfurious.xsd.*;
import java.net.*;
import java.util.Enumeration;
public class SQL_NETWORK {
public static FurSYS_DATA LOCALIP(FurSYS_DATA nothing) {
  String IP="";
  try {
    Enumeration<NetworkInterface> networks = NetworkInterface.getNetworkInterfaces();
    while ( networks.hasMoreElements() ) {
      NetworkInterface network = networks.nextElement();
      Enumeration<InetAddress> ienum = network.getInetAddresses();
      while (ienum.hasMoreElements()) {  // retourne l adresse IPv4 et IPv6
        InetAddress ia = ienum.nextElement();
        IP += ","+ia.getHostAddress().toString();    
      }
    }
    if (IP.length()>0) return new FurSYS_DATA(false, IP.substring(1).toUpperCase());
    else return new FurSYS_DATA(false, "");
 }
  catch (Exception e) {return new FurSYS_DATA(true, "(null)");}
}
public static FurSYS_DATA LOCALMAC(FurSYS_DATA nothing) {
  String MACADR = "", MAC="";
  try {
    Enumeration<NetworkInterface> networks = NetworkInterface.getNetworkInterfaces();
    while ( networks.hasMoreElements() ) {
      MACADR = "";
      NetworkInterface network = networks.nextElement();
      byte[] mac = network.getHardwareAddress();
      if (mac!=null) {
        for (int i = 0; i < mac.length; i++) {	
          String str=Integer.toHexString(mac[i]);
          if (str.length()<2) str="0"+str;
          else str=str.substring(str.length()-2,str.length());
          MACADR+="-"+str;
        }
        MAC+=","+MACADR.substring(1);
      } else {
        MAC+=",";
      }
    }
    return new FurSYS_DATA(false, MAC.substring(1).toUpperCase());
 }
  catch (Exception e) {return new FurSYS_DATA(true, "(null)");}
}

public static FurSYS_DATA PING(FurSYS_DATA DATA1, FurSYS_DATA DATA2) {
  try {
    if (DATA1.isNull || DATA2.isNull) {
      return new FurSYS_DATA(true, "(null)");
    } else {
      InetAddress ia = InetAddress.getByName(DATA1.DATA);
      boolean b = ia.isReachable(Integer.parseInt(DATA2.DATA));
      if (b) return new FurSYS_DATA(false, "True");
      else return new FurSYS_DATA(false, "False");
    }
  } catch (Exception e) {
    return new FurSYS_DATA(false, "False");
  }
}
public static FurSYS_DATA PINGPORT(FurSYS_DATA Host, FurSYS_DATA Port) {
  try {
    Socket sock;
    sock=new Socket(Host.DATA,Integer.parseInt(Port.DATA),true);
    sock.close();
    return new FurSYS_DATA(false, "True");
  } catch (Exception e) {
    return new FurSYS_DATA(false, "False");
  }
}
}
